/* Container (All themes) CSS */

    .modal[aria-hidden="true"] {
        display: none;
    }
    .modal-dialog {
        height: 100%;
        width: 100%;
        display: flex;
        align-items: center;
        margin: 0 !important;
    }
    .modal-content {
        margin: 0 5%;
        width: 100%;
    }
    .spinnerDialog .modal-content {
        margin: 0 25%;
    }
    .spinnerDialog .modal-body > div {
        margin: 10px;
    }
    .spinnerDialog .modal-body > i.fa-spinner {
        font-size: 48px;
        margin-bottom: 10px;
    }
    .slider {
        border-color: #25323d;
    }
    @media(min-width:768px) {
        .spinnerDialog .modal-content {
            margin: 0 32%;
        }
    }
    @media(min-width:1020px) {
        .spinnerDialog .modal-content {
            margin: 0 37%;
        }
    }
    @media(min-width:1200px) {
        .spinnerDialog .modal-content {
            margin: 0 40%;
        }
    }
    .modal-body {
        text-align: center;
        margin: auto;
        padding: 5px;
        position: relative;
        z-index:1;
    }
    .fatalerror {
        margin-top:50px;
        font-family:'Raleway', sans-serif;
        font-size:18px;
        margin-left:auto;
        margin-right:auto;
        text-align:center;
    }
    /* Container server styles */
    #dsp-cameracapture-container table, #dsp-picker-container table {
        border: none !important;
    }
    #dsp-cc-close, #dsp-picker-close, #modal-ok-closetop {
        height:50px;
        width:50px;
        position: relative;
        z-index: 2;
    }

    .dsp-pickerfile-ios, .dsp-pickerfile-android, .dsp-ccfile-ios, .dsp-ccfile-android {
        width:100%;
    }
    .dsp-cc-row button, .dsp-picker-row button {
        height:50px;
        padding-left:5px;
        padding-right:5px;
    }
    .dsp-cc-row i.fa, .dsp-picker-row i.fa  {
        font-size: 50px;
    }
    .dsp-cc-row i.fa-question-circle, .dsp-picker-row i.fa-question-circle {
        color: lightgray;
    }
    .dsp-cc-row i.fa-check-circle, .dsp-picker-row i.fa-check-circle {
        color: green;
    }

    /* iOS-specific styles */
    #dsp-cameracapture-container td.left-col-ios, #dsp-picker-container td.left-col-ios {
        width:15%;
        vertical-align: middle;
        background-color:white;
        border:none;
    }
    #dsp-cameracapture-container td.right-col-ios, #dsp-picker-container td.right-col-ios {
        width:85%;
        background-color:white;
        border:none;
    }
    #dsp-cameracapture-container .camera-text, #dsp-picker-container .picker-text {
        font-size:16px;
        font-weight: bold;
    }
    #dsp-cameracapture-container .right-col-top-ios, #dsp-picker-container .right-col-top-ios {
        padding-top:5px;
        text-align:center;
        padding-bottom:10px
    }
    #dsp-cameracapture-container .right-col-bottom-ios, #dsp-picker-container .right-col-bottom-ios {
        text-align:center;
        padding-bottom:20px;
    }

    /* Android-specific styles */
    #dsp-cameracapture-container td.left-col-android, #dsp-picker-container td.left-col-android {
        width:15%;
        background-color:white;
        border:none;
    }
    #dsp-cameracapture-container td.center-col-android, #dsp-picker-container td.center-col-android {
        width:45%;
        background-color:white;
        border:none;
    }
    #dsp-cameracapture-container td.right-col-android, #dsp-picker-container td.right-col-android {
        width:40%;
        background-color:white;
        border:none;
    }
    .dsp-ccfile-android, .dsp-pickerfile-android  {
        width:1px;
        height:1px;
        opacity:0;
    }
    #modal-ok .btn {
        display: block;
        margin-left: auto;
        margin-right: auto;
    }
    #modal-ok .modal-body {
        margin-top: 40px;
    }
    #modal-ok-closeok {
        margin:auto;
        display:block;
        margin-top: 15px;
        margin-bottom: 15px;
    }
    @media(min-width:768px) {
        #modal-ok .modal-content {
            margin: 0 25%;
        }
    }

    /* Template style overrides - Icon Grid With Menu CSS*/
    
        @media(min-width:0px) and (max-width:400px) {
            .menu-text { font-size: 10px; }
        }
        @media(min-width:400px) and (max-width:768px) {
            .menu-text { font-size: 12px; }
        }
        @media(min-width:768px) {
            .menu-text { font-size: 14px; }
            .gallery a { padding-bottom:0px; }
        }
    
    .header-back, .header-back:hover, .header-back:focus{
        cursor:pointer;
        font-family:'Raleway', sans-serif;
        margin-left:30px;
        text-align:left;
                color:#000000;
        font-weight:800;
        letter-spacing:0.5px;
        font-size:18px;
        position: absolute;
        top: 0;
        left: 0;
        text-decoration: none;
    }
    .fa-chevron-left {
                color:#000000;
        position: absolute;
        top: 23px;
        left: -20px;
    }
    
    .fa-chevron-right {
            color:#000000;
    }
    
    .header-navicon{
                color:#000000;
    }
    .header-logo {
                color:#ffffff;
    }
    a > .fa {
        display: inline;
    }
    html, body, #page-content, #page-content-scroll, #content-tilehtml  {
        height: 100%;
        padding: 0px;
    }
    .switching-tile {
        visibility: hidden;
    }
    #page-content-scroll {
        overflow:hidden;
    }
    iframe {
        overflow:hidden;
        width: 100%;
        height: 100%;
        border-width: 0px;
        position: fixed;
        left:0;
    }
    .gallery {
        padding-top: 10px;
    }
    a.tile-link {
        padding: 10px;
        text-decoration: none;
    }
    .sidebar-right .menu-text {
        display:inline-block;
        text-align: left;
        padding:13px 15px;
        width: 100%;
        font-size:15px;
        line-height: normal;
    }
        .header-fixed {
            background-color:#e4e4e3;
        }
        .grid-icon {
            background-color: #888888;
        }
        #page-content {
            background-color: #e4e4e3;
        }
        a.tile-link {
            background-color: #ffffff;
        }
        *:focus {
            outline: 1px solid #000000 !important;
        }
    
    .open-right-sidebar:hover,.open-right-sidebar:focus {
        text-decoration: none;
    }
    
    .sidebar-right {
        background: none;
        max-height: 100%;
        overflow: visible;
        box-shadow:none;
    }
    
    .hamburger-menu-item.tile-category-header{
        background:#b6b6b5;
    }
    .tile-category-header .menu-text{
        color:#000000;
        font-weight:bold;
    }
    
    .sidebar-header{
        transform: translateX(300px);
        background:#b6b6b5;
        border-bottom: 1px solid #000000;
        position:fixed;
        width:270px;
        border-left:1px solid black;
        right:0;
        z-index:9;
        color:#000000;
    }
    .sidebar-header .close-sidebar{
        color:#000000;
        display: inline-block;
        float: right;
        border: none;
        padding: 10px 0;
        text-decoration:none;
    }
    
    .x-menu{
        border: 3px solid #000000;;
        font-size: 20px;
        padding: 5px 8px;
        border-radius: 100%;
        position: absolute;
        right: 15px;
    }
    
    .menu-navicon-header-text{
        display: inline-block;
        padding: 15px 0px 0px 15px;
        font-size: 17px;
    }
    
    .hamburger-menu-item{
        background:#888888;
    }
    
    .menu-text{
        color:#000000;
    }
    
    .hamburger-menu-item.menu-special-item .menu-text{
        color:#000000;
        font-weight: bold;
    }
    
    .tile-category-header{
        display:block;
        color:#000000;
        font-weight: bold;
        background:#b6b6b5;
    }
    
    
    .hamburger-menu-item.menu-special-item{
        background:#ffffff;
    }
    
    .sidebar-right .menu-text {
    }
    
    .hamburger-menu-item.menu-special-item{
        border-bottom: 1px solid #000000;
    }
    
    .hamburger-menu-item.hamburger-tile, .hamburger-menu-item.home-menu-item{
        border-bottom: 1px solid #000000;
    }
    
    .tile-category-header{
    }
    
    .hamburger-menu-item.menu-special-item .menu-text::after {
        display:none;
    }
    
    .hamburger-menu-item:focus{
        text-decoration:none;
    }
    
    .icon-frame{
        display:flex;
    }
    
    .sidebar-scroll{
        position:relative;
        overflow-y: scroll;
        height: 100%;
    }
    
    .sidebar-menu{
        padding-top:60px;
    }
    
    #content-icongrid{
        height: inherit;
        overflow: auto;
        background-color: #e4e4e3;
        padding-top: 5px;
    }
    
    #content-icongrid .menu-text{
        display: block;
        text-align: center;
        width: 100%;
        line-height: normal;
        overflow:hidden;
        text-overflow: ellipsis;
        color: #000000;
    }
    
    .hamburger-menu-item.tile-category-header .menu-text:after{
        display:none;
    }
    
    .active-sidebar-box .sidebar-header{
        -moz-transform: translateX(0px)!important;
        -webkit-transform: translateX(0px)!important;
        -o-transform: translateX(0px)!important;
        -ms-transform: translateX(0px)!important;
         transform: translateX(0px)!important;
    }
    
    .form-title, .titleContainer, #collapseLink:focus, #collapseLink, #collapseLink:hover{
        color:#ffffff;
    }
    
    .switch-label, .containerText, .inputGroup label {
        color:#ffffff;
    }
    
    .modal-content::-webkit-scrollbar,
    .enr-body.modal-body::-webkit-scrollbar,
    #securitySettingsContent .modal-body::-webkit-scrollbar,
    #forceUpdatePwContent .modal-body::-webkit-scrollbar,
    .dynamicModal .modal-body::-webkit-scrollbar,
    .contentScroll::-webkit-scrollbar,
    #securitySettingsContent .modal-body-container::-webkit-scrollbar{
        display: block !important;
    }
    
    /* Track */
    ::-webkit-scrollbar-track {
        background: rgba(0,0,0,0.45);
    }
    
    /* Handle */
    ::-webkit-scrollbar-thumb {
        background: #ffffff;;
    }
    
    /* Handle on hover */
    ::-webkit-scrollbar-thumb:hover {
        background: #555;
    }
    
    .login-forgot, .login-forgot:hover,.login-forgot:focus{
        color:#ffffff
    }
    
    #form-login input, .securitySettingsModal input{
        color: #000000;
        background: #ffffff;
    }
    
    #loginMFA #loginVerificationCode{
        color: #000000;
    }
    
    #loginMFA #mfaDestinationList,
    #loginMFA #mfaDestinationList .list-group-item,
    #loginMFA #mfaDestinationList button,
    #loginMFA #mfaHelpBtn,
    #loginMFA #verificationCodeSection,
    #loginMFA .mfa-btn,
    #modalForgotUsernamePassword #mfaDestinationList,
    #modalForgotUsernamePassword #mfaDestinationList .list-group-item,
    #modalForgotUsernamePassword #mfaDestinationList button,
    #modalForgotUsernamePassword #mfaHelpBtn,
    #modalForgotUsernamePassword #verificationCodeSection,
    #modalForgotUsernamePassword .mfa-btn,
    #modalForgotUsernamePassword .verifyBtn {
        background-color: #ffffff;
    }
    
    #loginMFA #mfaDestinationList button[aria-expanded="true"],
    #loginMFA #mfaDestinationList input:checked + label,
    #modalForgotUsernamePassword #mfaDestinationList button[aria-expanded="true"],
    #modalForgotUsernamePassword #mfaDestinationList input:checked + label {
        color: #25323d;
        opacity: 1
    }
    
    #loginMFA #mfaDestinationList .mfaListItem label, #loginMFA #mfaDestinationList button,
    #loginMFA #mfaDestinationList .mfaOption label, #loginMFA #mfaDestinationList p,
    #loginMFA #loginVerificationCode::placeholder,
    #modalForgotUsernamePassword #mfaDestinationList .mfaListItem label, #modalForgotUsernamePassword #mfaDestinationList button,
    #modalForgotUsernamePassword #mfaDestinationList .mfaOption label, #modalForgotUsernamePassword #mfaDestinationList p,
    #modalForgotUsernamePassword #loginVerificationCode::placeholder,
    #modalForgotUsernamePassword .enr-stage01::placeholder {
        color: #25323d;
        opacity: .7;
    }
    
    #loginMFA #mfaDestinationList input,
    #modalForgotUsernamePassword #mfaDestinationList input{
        border-color: #25323d !important;
        opacity: .7;
    }
    
    #loginMFA #mfaDestinationList input:checked:before,
    #modalForgotUsernamePassword #mfaDestinationList input:checked:before{
        background: #25323d;
    }
    
    #loginMFA #mfaDestinationList input:checked,
    #modalForgotUsernamePassword #mfaDestinationList input:checked{
        border-color: #25323d;
        opacity: 1;
    }
    
    #loginMFA .modal-content #mfaHelpBtn, #modalForgotUsernamePassword .modal-content #mfaHelpBtn, #loginMFA .mfa-btn, 
    #modalForgotUsernamePassword .verifyBtn{
        color: #d92c2c;
    }
    
    #loginMFA .modal-footer button, #loginMFA #rememberMfaLogin:checked+.slider{
        background-color: #e4e4e3;
    }
    
    #loginMFA .modal-footer button{
        color: #528482;
    }
    
    #loginMFA .modal-footer button:disabled{
        background-color: #888888;
    }
    
    #loginMFA .modal-footer button:disabled{
        color: #ffffff;
    }
    
    #page-content {
        background: #528482;
    }
    
    .gridBGColor{
        background-color: #e4e4e3;
    }
    
    #authenticated-container {
        background-color: #e4e4e3;
    }
    
    #authenticated-container .tile-category-container .half-bottom {
        margin-bottom: 0 !important;
    }
    
    #authenticated-container .tile-category-container {
        padding-top: 0;
        padding-left: 30px;
        padding-right: 30px;
    }
    
    #authenticated-container .tile-category-container h1 {
        font-size: calc(16px + 1vw);
        padding: 5px 0;
        margin: 0;
        color: #ffffff;
    }
    
    .navbarButton,.navbarButton:focus,.navbarButton:hover{
        color: #000000;
        text-decoration:none;
    }
    .navBarHeaderText {
        color: #000000;
    }
    
    
    
    /* Enrollment Modal Styles */
    
    
    body #modalEnroll .modal-content,
    body #modalForgotUsernamePassword .modal-content,#enrModalHdr,#modalForgotUsernamePassword .modal-header,.forgot .modal-footer, .enr-footer.modal-footer,.dynamicModal .modal-footer {
        background: #528482!important;
    }
    
    body #modalEnroll .enr-body h4,
    body #modalForgotUsernamePassword .enr-body h4 {
        color: #ffffff!important;
    }
    
    body #modalEnroll .enroll .modal-content,
    body #modalForgotUsernamePassword .modal-content {
        color: #ffffff!important;
    }
    
    #modalEnroll a.enr-cancel-link,
    #modalEnroll .security-text01,
    #modalEnroll .security-text02-sm p,
    #modalEnroll .security-text02-sm .fa-circle-thin,
    #modalEnroll .enr-confirm {
        color: #ffffff
    }
    
    /* manages styling of autocomplete fields */
    
    .inputHoverFocus:-webkit-autofill,
    .inputHoverFocus:-webkit-autofill:hover,
    .inputHoverFocus:-webkit-autofill:focus,
    .form-group input,
    .form-group textarea,
    .form-group select,
    .form-group input option,
    select:-webkit-autofill,
    select:-webkit-autofill:hover,
    select:-webkit-autofill:focus,
    input:-webkit-autofill,
    input:-webkit-autofill:hover,
    input:-webkit-autofill:focus,
    input:-webkit-autofill:active {
        -webkit-box-shadow: 0 0 0px 1000px #ffffff inset!important;
        transition: #ffffff 5000s ease-in-out 0s!important;
        -webkit-transition-property: #ffffff !important;
        background: #ffffff!important;
        color: #000000!important;
    }
    
    /* input fields base styling */
    
    body #modalEnroll form input {
        background: #ffffff!important;
    }
    
    body #modalForgotUsernamePassword .forgot-form-group input {
        background-color: #ffffff!important;
        color: #000000!important;
    }
    
    body #modalEnroll form label,
    body #modalForgotUsernamePassword form label,
    body #modalForgotUsernamePassword .confirm-pass-standards label {
        color: #ffffff!important;
    }
    
    /* checkmark color assignments */
    
    .enr-positive-check {
        color: #27ba13!important;
    }
    
    .enr-neutral-check {
        color: #b6b6b5!important;
    }
    
    #modalForgotUsernamePassword .enr-neutral-check {
        color: #ffffff!important;
    }
    
    .enr-negative-check {
        color: #d92c2c!important;
    }
    
    /* modalEnroll buttons */
    
    body #modalEnroll button.enr-no-access,
    #modalEnroll button.neg-btn,
    body #modalForgotUsernamePassword button.enr-no-access,
    #modalForgotUsernamePassword button.neg-btn {
        background: #888888!important;
        color: #ffffff!important;
        border-width: 0px!important;
        border-radius: 5px!important;
        width: calc(100 * 0.9)%!important;
    }
    
    body #modalEnroll button.enr-no-access p,
    #modalEnroll button.neg-btn p,
    body #modalForgotUsernamePassword button.enr-no-access p,
    #modalForgotUsernamePassword button.neg-btn p {
        color: #ffffff!important;
    }
    
    body #modalEnroll button.enr-btn {
        background: #e4e4e3!important;
        color: #528482!important;
        border-width: 0px!important;
        border-radius: 5px!important;
        width: calc(100 * 0.9)%!important;
    }
    
    body #modalForgotUsernamePassword button.enr-btn {
        background: #e4e4e3!important;
        color: #528482!important;
    }
    body #modalForgotUsernamePassword button.btn-primary:disabled,
    body #modalForgotUsernamePassword button.enr-btn:disabled,
    body .securitySettingsModal button:disabled {
        background: #888888!important;
        opacity 50%;
        color: #ffffff!important;
    }
    
    body #modalForgotUsernamePassword #btnCancel,
    body #modalForgotUsernamePassword .modal-content {
        color: #ffffff!important;
    }
    
    body #securitySettingsContent .security-text01,
    body #modalForgotUsernamePassword .security-text01,
    body #modalForgotUsernamePassword .pre-form-content.subtitle {
        color: #ffffff!important;
    }
    
    body #modalForgotUsernamePassword #btnUserTypeSwitcher {
        background: #e4e4e3!important;
        color: #528482!important;
        display: flex;
        justify-content: space-between;
        height: 55px;
        align-items: center;
        margin: 38px 0 15px;
        padding: 0 20px;
        font-size: 16px;
        font-weight: 600;
    }
    
    #btnUserTypeSwitcher .fa-chevron-right {
        color: #528482!important;
    }
    
    
    .dynamicModal .modal-content, .dynamicModal .modal-header {
        background: #528482;
    }
    
    /* Desktop Include - Saved at Sun Sep 07 2025 05:30:58 GMT+0000 (Coordinated Universal Time) in the prod environment */
    
    /* Shared start */
    .button-positive {
        background-color: #e4e4e3;
    }
    .pbb-color {
        color: #e4e4e3;
    }
    .pbb-background-color {
        background-color: #e4e4e3;
    }
    .pbb-border-color {
        border-color: #e4e4e3;
    }
    .pbb-text-decoration-color {
        text-decoration-color: #e4e4e3;
    }
    input:checked + .slider {
        background-color: #e4e4e3;
    }
    
    .button-positive {
        color: #528482;
    }
    .pbt-color {
        color: #528482;
    }
    .pbt-background-color {
        background-color: #528482;
    }
    .pbt-border-color {
        border-color: #528482;
    }
    .pbt-text-decoration-color {
        text-decoration-color: #528482;
    }
    
    .button-negative {
        background-color: #888888;
    }
    .nbb-color {
        color: #888888;
    }
    .nbb-background-color {
        background-color: #888888;
    }
    .nbb-border-color {
        border-color: #888888;
    }
    .nbb-text-decoration-color {
        text-decoration-color: #888888;
    }
    
    .button-negative {
        color: #ffffff;
    }
    .nbt-color {
        color: #ffffff;
    }
    .nbt-background-color {
        background-color: #ffffff;
    }
    .nbt-border-color {
        border-color: #ffffff;
    }
    .nbt-text-decoration-color {
        text-decoration-color: #ffffff;
    }
    
    .text-positive {
        color: #ffffff;
    }
    .fi-color {
        color: #ffffff;
    }
    .fi-background-color {
        background-color: #ffffff;
    }
    .fi-border-color {
        border-color: #ffffff;
    }
    .fi-text-decoration-color {
        text-decoration-color: #ffffff;
    }
    
    .pwChecklist:before{
        color: #b6b6b5;
    }
    
    .pwChecklist.error:before{
        color: #d92c2c;
    }
    
    .pwChecklist.ok:before{
        color: #27ba13;
    }
    
    .forgot .modal-footer p.footerText, .enr-footer.modal-footer p.footerText,.dynamicModal .modal-footer p.securitySettingsFooter.footerText{
        background: #e4e4e3;
        color: #000000;
    }
    
    #home-button-container {
        background:#ffffff
    }
    
    /* Shared end */
    
    
    
    #home-button-container {
        background: #ffffff
    }
    
    #homeLink, #logoutLink{
        color: #528482
    }
    
    #linkDivider {
        background-color: #528482
    }
    
    #backLink, #closeTileModal, #modalTile .modal-header a{
        color: #000000
    }
    
    #tile-nav-container, #modalTile .modal-header {
        background: #ffffff
    }
    
    body.other * {
        user-select: text !important;
    }
    
    .btn:focus, .btn:hover {
        box-shadow: 0px 0px 0px 2px gray;   /* TODO - Make this configurable */
    }
    
    .btn {
        border-radius: 5px;
    }
    
    .button-positive {
        border-color: #e4e4e3;
    }
    .button-positive:hover, .button-positive:focus,  ons-button.button-positive:focus {
        background-color: #e4e4e3;
        border-color: gray;     /* TODO - Make this configurable */
    }
    /* APPLY only to IE 11+ */
    @media screen and (-ms-high-contrast: active), screen and (-ms-high-contrast: none) {
        .select-input.pbb-background-color option:disabled {
            background-color: #e4e4e3;
        }
    }
    
    
    .btn {
        border-color: #ffffff;
        border-width: 0px;
    }
    
    /* APPLY only to IE 11+ */
    @media screen and (-ms-high-contrast: active), screen and (-ms-high-contrast: none) {
        .select-input.fi-background-color option:disabled {
            background-color: #ffffff;
        }
    }

.loader {
    border-top: 6px solid #ffffff;
}

/**** System Wide Alert Styles ****/

    #system-notification-container {
    height: 75px;
    /* this is to provide a white background as a backdrop for the opacity -- otherwise login background color shows through */
        background-color: #ffffff;
    }

    #system-notification-background {
        background-color: #f5be50;

    opacity:0.15;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    }
    #system-notification-content {
    height: 100%;
    max-width: 900px;
    margin: auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    }
    .text-color {
        color: #25323d;
    }
    .alert-title {
    font-weight: 700;
    text-transform: uppercase;
    font-size: 18px;
    line-height: 21px;
    letter-spacing: 0.01em;
    }
    .additional-text {
    font-size: 14px;
    font-weight: 400;
    line-height: 17px;
    letter-spacing: 0.01em;
    }
    .alert-icon-container {
    height: 48px;
    width: 48px;
    margin-right: 12px;
    }
    #background-circle {
        fill: #f5be50;
    opacity: 0.3;
    }
    #alert-triangle {
        fill: #f5be50;
    }

    #exclamation-fill {
        fill: #ffffff;
    }

    /* Mobile-specific styling for System Wide Alerts */
    #system-notification-container.mobile {
    height: auto;
    }

    #system-notification-header {
    height: 50px;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 0 16px;
    width:100%
    }
    #system-notification-body {
    width:100%;
    padding: 0 16px 16px;
    }
    .alert-icon-container.mobile {
    height: 36px;
    width: 36px;
    }
    .alert-title.mobile {
    flex: auto;
    }
    #alert-header-collapse-icon{
    font-size: 18px;
    }
    /* End mobile-specific styling */
/**** END System Wide Alert Styles *****/


